Page MenuHomeMiraheze

Requesting some extensions
Closed, ResolvedPublic

Description

Wiki URLsmutstone.miraheze.org

Hi there,

I need some extensions that are not available in my list :
Extension:Header Footer
Permissions - managewiki-restricted

Thanks

Event Timeline

LukyMe created this task.Sep 9 2019, 18:15
LukyMe added a comment.Sep 11 2019, 12:29

Hello there ! anyone ?!
This simple configuration task should have been done in less than 5 min, but it's almost 2 days now !

I think the Extension:Header Footer, and the permission "managewiki-restricted" should be enabled by default for wiki owners, so we don't waste time waiting for approval !

In T4712#89755, @LukyMe wrote:

Hello there ! anyone ?!
This simple configuration task should have been done in less than 5 min, but it's almost 2 days now !

I think the Extension:Header Footer, and the permission "managewiki-restricted" should be enabled by default for wiki owners, so we don't waste time waiting for approval !

Hi,
I looked last night and couldn't find it listed on ManageWiki, Is it https://www.mediawiki.org/wiki/Extension:Header_Footer you're looking for?

Also, We have to ensure extensions are safe for use on wikis and this takes significantly longer than 5 mins. Even just installing it.

LukyMe added a comment.Sep 11 2019, 16:06

Hi,

Yes that's the extension, I thought you already have all important ones installed, and they just need to be activated !
Anyway, I had to install everything on my localhost to test things myself, and I couldn't work your own extensions (ManageWiki and CreateWiki), but they're only needed for users on miraheze.org I guess, because I can set options directly in "LocalSettings.php".
So is there any way to modify the default links at the top ? because "Header_Footer" output seems to get below them ! or maybe I just have to style it to appear at the top ? Also, do you know how to edit those default links in Header/footer ?

Thanks

In T4712#89761, @LukyMe wrote:

Hi,

Yes that's the extension, I thought you already have all important ones installed, and they just need to be activated !

I couldn't find it but we can send it for review and addition if you'd be happy with that (it may be a bit of a wait).

Anyway, I had to install everything on my localhost to test things myself, and I couldn't work your own extensions (ManageWiki and CreateWiki), but they're only needed for users on miraheze.org I guess, because I can set options directly in "LocalSettings.php".

What exactly was the issue with ManageWiki and CreateWiki when testing?

So is there any way to modify the default links at the top ?

The links at the very top by the login buttons?

because "Header_Footer" output seems to get below them ! or maybe I just have to style it to appear at the top?

CSS/JS may work for some things
Also, do you know how to edit those default links in Header/footer ?
I wouldn't be sure no

Thanks

LukyMe added a comment.Sep 11 2019, 17:20

So the docs of ManageWiki say to first install CreateWiki (which I did), then I installed ManageWiki (copied folders into /extensions and added line in LocalSettings.php, making sure both are visible in "Special:Version"), but when visiting "Special:ManageWiki" I get the message :
"This feature (core) has not been enabled on this wiki yet."

I also ran the "update/upgrade" to make sure the database is updated, but it seems no tables were added for ManageWiki !

I guess I'll just continue my experiments on my localhost, until the extension is approved then.

In T4712#89765, @LukyMe wrote:

So the docs of ManageWiki say to first install CreateWiki (which I did), then I installed ManageWiki (copied folders into /extensions and added line in LocalSettings.php, making sure both are visible in "Special:Version"), but when visiting "Special:ManageWiki" I get the message :
"This feature (core) has not been enabled on this wiki yet."

Have you turned it on? Per https://www.mediawiki.org/wiki/Extension:ManageWiki#Configuration

I also ran the "update/upgrade" to make sure the database is updated, but it seems no tables were added for ManageWiki !

I think they all come under CreateWiki

I guess I'll just continue my experiments on my localhost, until the extension is approved then.

I'll pop it in the queue for review

RhinosF1 moved this task from Backlog to Review Needed on the Extensions board.
LukyMe added a comment.Sep 11 2019, 18:37

I tried again but nothing works with CreateWiki and ManageWiki ! I don't even see the required tables in phpMyadmin, so maybe that's the reason nothing works, and the error is "Invalid argument supplied for foreach() in /extensions/ManageWiki/includes/ManageWikiHooks.php on line 50"

clearly, a database issue as no tables were created at all !

RhinosF1 added a comment.EditedSep 11 2019, 19:37

Hi,

I've spoke to @John and we are working on improving things but without good knowledge of Mediawiki and the ability to understand the code it's not suitable for third party use

RhinosF1 added a subscriber: John.Sep 11 2019, 19:37
LukyMe added a comment.Sep 17 2019, 17:56

Hi there,

After some tests on my localhost, I managed to make things work with minimal extensions, but when comparing the list of available extensions, I see that I'll need another one : HitCounters, to display popular pages. So can you please add that one as well ?

In T4712#89951, @LukyMe wrote:

Hi there,

After some tests on my localhost, I managed to make things work with minimal extensions, but when comparing the list of available extensions, I see that I'll need another one : HitCounters, to display popular pages. So can you please add that one as well ?

Unfortunately, we can't install that at this time due to a known issue.

See https://www.mediawiki.org/wiki/Extension:HitCounters and https://phabricator.wikimedia.org/T120216

I'll keep an eye on it.

LukyMe added a comment.Sep 17 2019, 21:09

The warning "an update to MediaWiki 1.26 or newer can permanently delete your hitcounter numbers!" only applies to installations that already have HitCounters installed, meaning that they risk their counters data to be deleted, but in my fresh test installation v1.33.0 it just works fine, displaying the most visited pages, based on counters saved to the database.

I hope this gets installed, otherwise I have no other way to display any popular pages !

In T4712#89953, @LukyMe wrote:

The warning "an update to MediaWiki 1.26 or newer can permanently delete your hitcounter numbers!" only applies to installations that already have HitCounters installed, meaning that they risk their counters data to be deleted, but in my fresh test installation v1.33.0 it just works fine, displaying the most visited pages, based on counters saved to the database.

I hope this gets installed, otherwise I have no other way to display any popular pages !

We've also since found issues with its support for other parts of our software including significant components.

LukyMe added a comment.Sep 18 2019, 13:27

Hi,

I guess I'll just pin some pages instead, but at least I need access to "managewiki-restricted" to be able to activate the "Auto Create Category Pages" extension !

In T4712#89967, @LukyMe wrote:

Hi,

I guess I'll just pin some pages instead, but at least I need access to "managewiki-restricted" to be able to activate the "Auto Create Category Pages" extension !

Done

LukyMe added a comment.Sep 24 2019, 17:10

Hi,
I tried to activate "Javascript Slideshow" in my extensions, but I receive this error :
"The following errors occurred:Extension autocreatecategorypages was not added because of failed requirements."

so it seems your last activation of "Auto Create Category Pages" is now preventing me from changing any extension !!
Normally, I should have the "Permission - managewiki-restricted" as the wiki owner, to avoid all these problems !

In T4712#90160, @LukyMe wrote:

Hi,
I tried to activate "Javascript Slideshow" in my extensions, but I receive this error :
"The following errors occurred:Extension autocreatecategorypages was not added because of failed requirements."

so it seems your last activation of "Auto Create Category Pages" is now preventing me from changing any extension !!
Normally, I should have the "Permission - managewiki-restricted" as the wiki owner, to avoid all these problems !

Managewiki-restricted Has never been and will never be given to wiki owners as there is a reason we restrict these things.

In the case of auto create category pages, it's to stop people enabling it then realising they have lots of categories they need to delete and reduce possible impact of vandalism.

Zppix added a comment.Sep 24 2019, 18:15

Hello, @LukyMe I noticed you said the following:

In T4712#89755, @LukyMe wrote:

This simple configuration task should have been done in less than 5 min, but it's almost 2 days now !

Please note, that we are all volunteers here on Miraheze. None of us are required to do anything within a certain timeframe. Saying things such as this, is rude, and disrespectful and will not help get anything resolved any quicker, in fact by doing so could cause it to take even longer. In the end, I am asking you politely to please be respectful, courteous, and patient with all volunteers, and community members, whether it be on Phabricator, IRC, Discord, or on a Miraheze-hosted wiki.

Thanks,
Zppix
Miraheze CVT Team member
Volunteer

LukyMe removed a subscriber: Zppix.Sep 24 2019, 20:44

@Zppix : I don't want to argue with you, but let's be frank here, as I said in my very next message
"I thought you already have all important ones installed, and they just need to be activated !"
So if this made you itchy to the point to call me "rude and disrespectful", then I wonder what to say to people who kept dragging me for over 2 weeks for the same simple tasks, and still nothing was fixed at all, do you think it's normal ?! and saying that "by doing so could cause it to take even longer" just confirms my first impression on your service that nobody cares, only @RhinosF1 was responding ! in fact, I'm no longer expecting any help, so much frictions for little stuff, and still nothing fixed, just because it's "free" !

I also volunteered to make this wiki (nobody asked me, and nobody will pay me anything), but that's NO excuse not to honor your role as a volunteer.
Everything worked perfectly in my localhost, but because of your restrictions, I had to drop several extensions, and now I can't even activate new ones ! this makes me an unofficial volunteer, because I'm reporting issues that may help better your software !

@RhinosF1 : please don't add "volunteers" who are not willing to help !

John moved this task from Review Needed to Reviewed Accepted on the Extensions board.

Extension seems fine.

Paladox closed this task as Resolved.Sep 26 2019, 23:04
Paladox claimed this task.
Paladox added a subscriber: Paladox.

HeaderFooter extension now available. You can enable this through Special:ManageWiki/extensions.